This document explains how to list Personalized Service Health events that might be
impacting or have impacted Google Cloud products in your Google Cloud project or
organization. You'll use the Personalized Service Health API.

## Before you begin

1.


   Enable the Service Health API, if it is not already enabled:


   **Roles required to enable APIs**


   To enable APIs, you need the `serviceusage.services.enable` permission. If you
   created the project, then you likely already have this permission through the
   Owner role (`roles/owner`). Otherwise, you can get this permission through the
   Service Usage Admin role (`roles/serviceusage.serviceUsageAdmin`).
   [Learn how to grant roles](https://docs.cloud.google.com/iam/docs/granting-changing-revoking-access.md.txt).

   ```bash
   gcloud services enable servicehealth.googleapis.com
   ```
2.
   [Verify that billing is enabled for your Google Cloud project](https://docs.cloud.google.com/billing/docs/how-to/verify-billing-enabled.md.txt#confirm_billing_is_enabled_on_a_project).

3. If you're using an existing project for this guide, [verify that you have the
   permissions required to complete this guide](https://docs.cloud.google.com/service-health/docs/list-events#required_roles). If you created a new project, then you already have the required permissions.

### Required roles


To get the permissions that
you need to list Service Health events,

ask your administrator to grant you the
[Personalized Service Health Viewer](https://docs.cloud.google.com/iam/docs/roles-permissions/servicehealth.md.txt#servicehealth.viewer) (`roles/servicehealth.viewer`) IAM role on the project or organization that you want to list events for.


For more information about granting roles, see [Manage access to projects, folders, and organizations](https://docs.cloud.google.com/iam/docs/granting-changing-revoking-access.md.txt).


You might also be able to get
the required permissions through [custom
roles](https://docs.cloud.google.com/iam/docs/creating-custom-roles) or other [predefined
roles](https://docs.cloud.google.com/iam/docs/roles-overview#predefined).

> [!NOTE]
> **Note:** Granting a user a role on an organization gives the user those permissions on the organization *and* on all projects, folders, and resources within that organization. For more information, see [Using the resource hierarchy for access
> control](https://docs.cloud.google.com/iam/docs/resource-hierarchy-access-control).

## References

See the Events ([v1](https://docs.cloud.google.com/service-health/docs/reference/rest/v1/projects.locations.events.md.txt), [v1beta](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.events.md.txt)),
Impacts ([v1beta](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts.md.txt)),
OrganizationEvents ([v1](https://docs.cloud.google.com/service-health/docs/reference/rest/v1/organizations.locations.organizationEvents.md.txt), [v1beta](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/organizations.locations.organizationEvents.md.txt))
and
OrganizationImpacts ([v1](https://docs.cloud.google.com/service-health/docs/reference/rest/v1/organizations.locations.organizationImpacts.md.txt), [v1beta](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/organizations.locations.organizationImpacts.md.txt))
API references for the methods you can use and the meaning of the fields in the
response.

When setting the product or location, use the values found at
[Google Cloud products](https://docs.cloud.google.com/service-health/docs/supported-products-locations.md.txt) and
[locations](https://docs.cloud.google.com/service-health/docs/supported-products-locations.md.txt#locations).

## List all active incidents for a project

You can list all Google Cloud incidents for a specific Google Cloud project.


Before using any of the request data,
make the following replacements:

- <var class="edit" scope="API_VERSION" translate="no">API_VERSION</var>: The API version to use. Use `v1` or `v1beta`.
- <var class="edit" scope="PROJECT_ID" translate="no">PROJECT_ID</var>: the ID of the project.


HTTP method and URL:

```
GET https://servicehealth.googleapis.com/API_VERSION/projects/PROJECT_ID/locations/global/events?filter=state=ACTIVE%20category=INCIDENT&page_size=2&page_token={page_token}
```

To send your request, expand one of these options:

#### curl (Linux, macOS, or Cloud Shell)

> [!NOTE]
> **Note:** The following command assumes that you have logged in to the `gcloud` CLI with your user account by running [`gcloud init`](https://docs.cloud.google.com/sdk/gcloud/reference/init) or [`gcloud auth login`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/login.md.txt) , or by using [Cloud Shell](https://docs.cloud.google.com/shell/docs.md.txt), which automatically logs you into the `gcloud` CLI . You can check the currently active account by running [`gcloud auth list`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/list.md.txt).


Execute the following command:

```
curl -X GET \
     -H "Authorization: Bearer $(gcloud auth print-access-token)" \
     "https://servicehealth.googleapis.com/API_VERSION/projects/PROJECT_ID/locations/global/events?filter=state=ACTIVE%20category=INCIDENT&page_size=2&page_token={page_token}"
```

#### PowerShell (Windows)

> [!NOTE]
> **Note:** The following command assumes that you have logged in to the `gcloud` CLI with your user account by running [`gcloud init`](https://docs.cloud.google.com/sdk/gcloud/reference/init) or [`gcloud auth login`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/login.md.txt) . You can check the currently active account by running [`gcloud auth list`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/list.md.txt).


Execute the following command:

```
$cred = gcloud auth print-access-token
$headers = @{ "Authorization" = "Bearer $cred" }

Invoke-WebRequest `
    -Method GET `
    -Headers $headers `
    -Uri "https://servicehealth.googleapis.com/API_VERSION/projects/PROJECT_ID/locations/global/events?filter=state=ACTIVE%20category=INCIDENT&page_size=2&page_token={page_token}" | Select-Object -Expand Content
```

You should receive a JSON response similar to the following:

```
{
  "events": [
    {
      "name": "projects/PROJECT_ID/locations/global/events/event-123",
      "title": "We are experiencing a connectivity issue affecting Google Cloud SQL in us-east1, australia-southeast2.",
      "description": "The issue with Google Cloud SQL has been resolved for all affected projects. We thank you for your patience while we worked on resolving the issue.",
      "category": "INCIDENT",
      "detailedCategory": "CONFIRMED_INCIDENT",
      "state": "ACTIVE",
      "detailedState": "CONFIRMED",
      "eventImpacts": [
        {
          "product": {
            "productName": "Google Cloud SQL",
            "id": "hV87iK5DcEXKgWU2kDri",
          },
          "location": {
            "locationName": "asia-east2",
          }
        },
        {
          "product": {
            "productName": "Google Cloud SQL",
            "id": "hV87iK5DcEXKgWU2kDri",
          },
          "location": {
            "locationName": "asia-southeast1",
          }
        }
      ],
      "relevance": "RELATED",
      "updateTime": "2022-10-18T17:44:05.690761Z",
      "startTime": "2022-10-18T17:41:20.112287Z",
    },
    {
      "name": "projects/PROJECT_ID/locations/global/events/event-567",
      "title": "Cloud Firestore may experience errors.",
      "description": "Mitigation work is currently underway by our engineering team. The mitigation is expected to complete by 2022-10-07T16:30:00Z.",
      "category": "INCIDENT",
      "detailedCategory": "CONFIRMED_INCIDENT",
      "state": "ACTIVE",
      "detailedState": "CONFIRMED",
      "eventImpacts": [
        {
          "product": {
            "productName": "Cloud Firestore",
            "id": "CETSkT92V21G6A1x28me",
          },
          "location": {
            "locationName": "us-central1-a",
          }
        }
      ],
      "relevance": "RELATED",
      "updateTime": "2022-10-07T15:19:59.409530Z",
      "startTime": "2022-10-07T15:10:35.887125Z",
      "nextUpdateTime": "2022-10-07T16:30:00Z"
    }
  ],
  "nextPageToken": "CgwIw8bDmgYQz4nUlgMQChomcHJvamVjdHMvcHNoLW1hbnVhbC"
}
```

> [!NOTE]
> **Note:** **If the response is large, this example will not list all incidents.** The Service Health API will return a non-empty `nextPageToken`. Provide this value in a subsequent request as a query string to return the next page of results.

If you don't have
[required permissions](https://docs.cloud.google.com/service-health/docs/manage-access.md.txt#set_required_permissions) to list events,
you will get a `PERMISSION_DENIED` error.

    {
      "error": {
        "code": 403,
        "message": "Permission 'servicehealth.events.list' denied on resource '//servicehealth.googleapis.com/projects/PROJECT_ID/locations/global' (or it may not exist).",
        "status": "PERMISSION_DENIED",
        "details": [
          {
            "@type": "type.googleapis.com/google.rpc.ErrorInfo",
            "reason": "IAM_PERMISSION_DENIED",
            "domain": "servicehealth.googleapis.com",
            "metadata": {
              "resource": "projects/PROJECT_ID/locations/global",
              "permission": "servicehealth.events.list"
            }
          }
        ]
      }
    }

## List all active incidents for an organization

You can list all Google Cloud incidents affecting any project that have
enabled Personalized Service Health in the specific Google Cloud organization.


Before using any of the request data,
make the following replacements:

- <var class="edit" scope="API_VERSION" translate="no">API_VERSION</var>: the API version to use. Use `v1` or `v1beta`.
- <var class="edit" scope="ORGANIZATION_ID" translate="no">ORGANIZATION_ID</var>: your Google Cloud organization ID.
- <var class="edit" scope="PROJECT_ID" translate="no">PROJECT_ID</var>: the project ID used for quota and billing.


HTTP method and URL:

```
GET https://servicehealth.googleapis.com/API_VERSION/organizations/ORGANIZATION_ID/locations/global/organizationEvents?filter=state=ACTIVE%20category=INCIDENT&page_size=2&page_token={page_token}
```

To send your request, expand one of these options:

#### curl (Linux, macOS, or Cloud Shell)

> [!NOTE]
> **Note:** The following command assumes that you have logged in to the `gcloud` CLI with your user account by running [`gcloud init`](https://docs.cloud.google.com/sdk/gcloud/reference/init) or [`gcloud auth login`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/login.md.txt) , or by using [Cloud Shell](https://docs.cloud.google.com/shell/docs.md.txt), which automatically logs you into the `gcloud` CLI . You can check the currently active account by running [`gcloud auth list`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/list.md.txt).


Execute the following command:

```
curl -X GET \
     -H "Authorization: Bearer $(gcloud auth print-access-token)" \
     -H "x-goog-user-project: PROJECT_ID" \
     "https://servicehealth.googleapis.com/API_VERSION/organizations/ORGANIZATION_ID/locations/global/organizationEvents?filter=state=ACTIVE%20category=INCIDENT&page_size=2&page_token={page_token}"
```

#### PowerShell (Windows)

> [!NOTE]
> **Note:** The following command assumes that you have logged in to the `gcloud` CLI with your user account by running [`gcloud init`](https://docs.cloud.google.com/sdk/gcloud/reference/init) or [`gcloud auth login`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/login.md.txt) . You can check the currently active account by running [`gcloud auth list`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/list.md.txt).


Execute the following command:

```
$cred = gcloud auth print-access-token
$headers = @{ "Authorization" = "Bearer $cred"; "x-goog-user-project" = "PROJECT_ID" }

Invoke-WebRequest `
    -Method GET `
    -Headers $headers `
    -Uri "https://servicehealth.googleapis.com/API_VERSION/organizations/ORGANIZATION_ID/locations/global/organizationEvents?filter=state=ACTIVE%20category=INCIDENT&page_size=2&page_token={page_token}" | Select-Object -Expand Content
```

You should receive a JSON response similar to the following:

```
{
  "organization_events": [
    {
      "name": "organizations/ORGANIZATION_ID/locations/global/organizationEvents/event-123",
      "title": "We are experiencing a connectivity issue affecting Google Cloud SQL in us-east1, australia-southeast2.",
      "description": "The issue with Google Cloud SQL has been resolved for all affected projects. We thank you for your patience while we worked on resolving the issue.",
      "category": "INCIDENT",
      "detailedCategory": "CONFIRMED_INCIDENT",
      "state": "ACTIVE",
      "detailedState": "CONFIRMED",
      "eventImpacts": [
        {
          "product": {
            "productName": "Google Cloud SQL",
            "id": "hV87iK5DcEXKgWU2kDri",
          },
          "location": {
            "locationName": "asia-east2",
          }
        },
        {
          "product": {
            "productName": "Google Cloud SQL",
            "id": "hV87iK5DcEXKgWU2kDri",
          },
          "location": {
            "locationName": "asia-southeast1",
          }
        }
      ],
      "updateTime": "2022-10-18T17:44:05.690761Z",
      "startTime": "2022-10-18T17:41:20.112287Z",
    },
    {
      "name": "organizations/ORGANIZATION_ID/locations/global/organizationEvents/event-567",
      "title": "Cloud Firestore may experience errors.",
      "description": "Mitigation work is currently underway by our engineering team. The mitigation is expected to complete by 2022-10-07T16:30:00Z.",
      "category": "INCIDENT",
      "detailedCategory": "CONFIRMED_INCIDENT",
      "state": "ACTIVE",
      "detailedState": "CONFIRMED",
      "eventImpacts": [
        {
          "product": {
            "productName": "Cloud Firestore",
            "id": "CETSkT92V21G6A1x28me",
          },
          "location": {
            "locationName": "us-central1-a",
          }
        }
      ],
      "updateTime": "2022-10-07T15:19:59.409530Z",
      "startTime": "2022-10-07T15:10:35.887125Z",
      "nextUpdateTime": "2022-10-07T16:30:00Z"
    }
  ],
  "nextPageToken": "CgwIw8bDmgYQz4nUlgMQChomcHJvamVjdHMvcHNoLW1hbnVhbC"
}
```

To get your <var class="readonly" translate="no">ORGANIZATION_ID</var>, see
[Getting your organization resource ID](https://docs.cloud.google.com/resource-manager/docs/creating-managing-organization.md.txt#retrieving_your_organization_id).

> [!NOTE]
> **Note:** If the response is large, this example won't list all incidents. The Service Health API will return a non-empty nextPageToken. Provide this value in a subsequent request as a query string to return the next page of results.

If you don't have
[permissions to list events](https://docs.cloud.google.com/service-health/docs/manage-access.md.txt#access-service-health-api-dashboard),
you will get a `PERMISSION_DENIED` error.

    {
      "error": {
        "code": 403,
        "message": "Permission 'servicehealth.organizationEvents.list' denied on resource '//servicehealth.googleapis.com/organizations/ORGANIZATION_ID/locations/global' (or it may not exist).",
        "status": "PERMISSION_DENIED",
        "details": [
          {
            "@type": "type.googleapis.com/google.rpc.ErrorInfo",
            "reason": "IAM_PERMISSION_DENIED",
            "domain": "servicehealth.googleapis.com",
            "metadata": {
              "resource": "organizations/<var class="readonly">ORGANIZATION_ID</var>/locations/global",
              "permission": "servicehealth.organizationEvents.list"
            }
          }
        ]
      }
    }

## List projects under an organization that may be affected by an event

You can list all projects under a specific Google Cloud organization that:

- May be affected by an event ([`OrganizationImpact`](https://docs.cloud.google.com/reference/rest/v1/organizations.locations.organizationImpacts)).
- Have enabled Personalized Service Health.


Before using any of the request data,
make the following replacements:

- <var class="edit" scope="API_VERSION" translate="no">API_VERSION</var>: the API version to use. Use `v1` or `v1beta`.
- <var class="edit" scope="EVENT_ID" translate="no">EVENT_ID</var>: the ID of the event that may be affecting an organization.
- <var class="edit" scope="ORGANIZATION_ID" translate="no">ORGANIZATION_ID</var>: your Google Cloud organization ID.
- <var class="edit" scope="PROJECT_ID" translate="no">PROJECT_ID</var>: the project ID used for quota and billing.


HTTP method and URL:

```
GET https://servicehealth.googleapis.com/API_VERSION/organizations/ORGANIZATION_ID/locations/global/organizationImpacts?filter=events:organizations%2FORGANIZATION_ID%2Flocations%2Fglobal%2FEVENT_ID&page_size=2&page_token={page_token}
```

To send your request, expand one of these options:

#### curl (Linux, macOS, or Cloud Shell)

> [!NOTE]
> **Note:** The following command assumes that you have logged in to the `gcloud` CLI with your user account by running [`gcloud init`](https://docs.cloud.google.com/sdk/gcloud/reference/init) or [`gcloud auth login`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/login.md.txt) , or by using [Cloud Shell](https://docs.cloud.google.com/shell/docs.md.txt), which automatically logs you into the `gcloud` CLI . You can check the currently active account by running [`gcloud auth list`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/list.md.txt).


Execute the following command:

```
curl -X GET \
     -H "Authorization: Bearer $(gcloud auth print-access-token)" \
     -H "x-goog-user-project: PROJECT_ID" \
     "https://servicehealth.googleapis.com/API_VERSION/organizations/ORGANIZATION_ID/locations/global/organizationImpacts?filter=events:organizations%2FORGANIZATION_ID%2Flocations%2Fglobal%2FEVENT_ID&page_size=2&page_token={page_token}"
```

#### PowerShell (Windows)

> [!NOTE]
> **Note:** The following command assumes that you have logged in to the `gcloud` CLI with your user account by running [`gcloud init`](https://docs.cloud.google.com/sdk/gcloud/reference/init) or [`gcloud auth login`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/login.md.txt) . You can check the currently active account by running [`gcloud auth list`](https://docs.cloud.google.com/sdk/gcloud/reference/auth/list.md.txt).


Execute the following command:

```
$cred = gcloud auth print-access-token
$headers = @{ "Authorization" = "Bearer $cred"; "x-goog-user-project" = "PROJECT_ID" }

Invoke-WebRequest `
    -Method GET `
    -Headers $headers `
    -Uri "https://servicehealth.googleapis.com/API_VERSION/organizations/ORGANIZATION_ID/locations/global/organizationImpacts?filter=events:organizations%2FORGANIZATION_ID%2Flocations%2Fglobal%2FEVENT_ID&page_size=2&page_token={page_token}" | Select-Object -Expand Content
```

You should receive a JSON response similar to the following:

```
{
  "organization_impacts": [
    {
      "name": "organizations/ORGANIZATION_ID/locations/global/organizationImpacts/impact-123",
      "events": [
        "organizations/ORGANIZATION_ID/locations/global/organizationEvents/EVENT_ID",
      ],
      "asset": {
        "assetName": "//cloudresourcemanager.googleapis.com/projects/{PROJECT_NUMBER_1}",
        "assetType": "cloudresourcemanager.googleapis.com/Project",
      },
      "updateTime": "2022-10-18T17:44:05.690761Z",
    },
    {
      "name": "organizations/ORGANIZATION_ID/locations/global/organizationImpacts/impact-234",
      "events": [
        "organizations/ORGANIZATION_ID/locations/global/organizationEvents/EVENT_ID",
      ],
      "asset": {
        "assetName": "//cloudresourcemanager.googleapis.com/projects/{PROJECT_NUMBER_2}",
        "assetType": "cloudresourcemanager.googleapis.com/Project",
      },
      "updateTime": "2022-10-18T17:44:05.690761Z",
    }
  ],
  "nextPageToken": "CgwIw8bDmgYQz4nUlgMQChomcHJvamVjdHMvcHNoLW1hbnVhbC"
}
```

If you don't have the
[permissions to list events](https://docs.cloud.google.com/service-health/docs/manage-access.md.txt#access-service-health-api-dashboard),
you will get the following `PERMISSION_DENIED` error.

    {
      "error": {
        "code": 403,
        "message": "Permission 'servicehealth.organizationImpacts.list' denied on resource '//servicehealth.googleapis.com/organizations/ORGANIZATION_ID/locations/global' (or it may not exist).",
        "status": "PERMISSION_DENIED",
        "details": [
          {
            "@type": "type.googleapis.com/google.rpc.ErrorInfo",
            "reason": "IAM_PERMISSION_DENIED",
            "domain": "servicehealth.googleapis.com",
            "metadata": {
              "resource": "organizations/ORGANIZATION_ID/locations/global",
              "permission": "servicehealth.organizationImpacts.list"
            }
          }
        ]
      }
    }

> [!NOTE]
> **Note:** If the response is large, this example won't list all incidents. The Service Health API will return a non-empty nextPageToken. Provide this value in a subsequent request as a query string to return the next page of results.

## List impacted resources in a project

> [!WARNING]
>
> **Preview**
>
>
> This product or feature is
>
> subject to the "Pre-GA Offerings Terms" in the General Service Terms section
> of the [Service Specific
> Terms](https://docs.cloud.google.com/terms/service-terms#1).
>
> Pre-GA products and features are available "as is" and might have limited support.
>
> For more information, see the
> [launch stage descriptions](https://cloud.google.com/products/#product-launch-stages).

For [supported Google Cloud products](https://docs.cloud.google.com/service-health/docs/supported-products-locations.md.txt#resource-level-impact),
you can list the specific Google Cloud resources in your project that are
impacted by a Service Health event.

To list impacted resources, the Service Health API (`servicehealth.googleapis.com`)
must be enabled on the project at least 24 hours before the event starts, and
your principal must have the `servicehealth.impacts.list` permission
(included in `roles/servicehealth.viewer`).

#### REST API (v1beta)

To list impacted resources in a project, send a request to the Service Health API with the following parameters:

| Parameter | Value | Description |
|---|---|---|
| `parent` | `projects/PROJECT_ID/locations/global` | Required. Project ID or project number where you want to list impacted resources. |
| `pageSize` | 1 to 100 | Optional. Maximum number of impacts to return per page. When unspecified, defaults to 10. |
| `pageToken` | string | Optional. Token from a previous `ListImpactsResponse` to retrieve the next page of results. |
| `filter` | string | Optional. Filter expression to scope the returned impacts. For example, to list resources impacted by a specific event, set `filter=events:projects/PROJECT_ID/locations/global/events/EVENT_ID`. |

Before using any of the request data, make the following replacements:

- `PROJECT_ID`: your Google Cloud project ID or project number.

HTTP method and URL:

```
GET https://servicehealth.googleapis.com/v1beta/projects/PROJECT_ID/locations/global/impacts
```

To use curl, call the GET endpoint directly:

```
curl -X GET \
  -H "Authorization: Bearer $(gcloud auth print-access-token)" \
  -H "Content-Type: application/json; charset=utf-8" \
  "https://servicehealth.googleapis.com/v1beta/projects/PROJECT_ID/locations/global/impacts"
```

#### gcloud

Run the following command to list impacted resources in a project:

```
gcloud beta service-health impacts list \
    --project=PROJECT_ID \
    --location=global
```

To list only the resources impacted by a specific event, pass the `--filter` flag:

```
gcloud beta service-health impacts list \
    --project=PROJECT_ID \
    --location=global \
    --filter="events:projects/PROJECT_ID/locations/global/events/EVENT_ID"
```

If the request is successful, the response body contains a list of [`Impact`](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts.md.txt#Impact) objects similar to the following:

```
{
  "impacts": [
    {
      "name": "projects/my-project/locations/global/impacts/f9a8b7c6-d5e4-4f3a-9b2c-1d0e9f8a7b6c",
      "events": [
        "projects/my-project/locations/global/events/1234567890abcdef"
      ],
      "asset": {
        "assetName": "//cloudsql.googleapis.com/projects/9876543210/instances/prod-orders-db",
        "assetType": "sqladmin.googleapis.com/Instance"
      },
      "description": "Instance experienced elevated connection errors during regional network disruption.",
      "createTime": "2026-10-08T14:12:05.120450Z",
      "updateTime": "2026-10-08T14:12:05.120450Z"
    }
  ]
}
```

### Common filter examples for impacted resources

You can pass a `filter` query parameter (or `--filter` in the Google Cloud CLI)
to narrow the returned `Impact` records:

- **List impacted resources for a specific event** : `filter=events:projects/PROJECT_ID/locations/global/events/EVENT_ID`
- **List impacted resources of a specific resource type** (for example, Cloud SQL instances): `filter=asset.assetType="sqladmin.googleapis.com/Instance"`
- **List impacted resources updated after a specific timestamp** : `filter=updateTime>"2026-10-08T00:00:00Z"`

## Get details about an impacted resource

> [!WARNING]
>
> **Preview**
>
>
> This product or feature is
>
> subject to the "Pre-GA Offerings Terms" in the General Service Terms section
> of the [Service Specific
> Terms](https://docs.cloud.google.com/terms/service-terms#1).
>
> Pre-GA products and features are available "as is" and might have limited support.
>
> For more information, see the
> [launch stage descriptions](https://cloud.google.com/products/#product-launch-stages).

You can retrieve a specific `Impact` record using its `IMPACT_ID`.

#### REST API (v1beta)

To get details about a specific impacted resource record, send a request with the following parameter:

| Parameter | Value | Description |
|---|---|---|
| `name` | `projects/PROJECT_ID/locations/global/impacts/IMPACT_ID` | Required. Full resource name of the `Impact` record to retrieve. |

HTTP method and URL:

```
GET https://servicehealth.googleapis.com/v1beta/projects/PROJECT_ID/locations/global/impacts/IMPACT_ID
```

```
curl -X GET \
  -H "Authorization: Bearer $(gcloud auth print-access-token)" \
  -H "Content-Type: application/json; charset=utf-8" \
  "https://servicehealth.googleapis.com/v1beta/projects/PROJECT_ID/locations/global/impacts/IMPACT_ID"
```

#### gcloud

Run the following command to get details about an impacted resource record:

```
gcloud beta service-health impacts describe IMPACT_ID \
    --project=PROJECT_ID \
    --location=global
```

If the request is successful, the response body contains an [`Impact`](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/projects.locations.impacts.md.txt#Impact) object:

```
{
  "name": "projects/my-project/locations/global/impacts/f9a8b7c6-d5e4-4f3a-9b2c-1d0e9f8a7b6c",
  "events": [
    "projects/my-project/locations/global/events/1234567890abcdef"
  ],
  "asset": {
    "assetName": "//cloudsql.googleapis.com/projects/9876543210/instances/prod-orders-db",
    "assetType": "sqladmin.googleapis.com/Instance"
  },
  "description": "Instance experienced elevated connection errors during regional network disruption.",
  "createTime": "2026-10-08T14:12:05.120450Z",
  "updateTime": "2026-10-08T14:12:05.120450Z"
}
```

## What's next

See how-tos for pulling event information by [project](https://docs.cloud.google.com/service-health/docs/project-events.md.txt) or
[organization](https://docs.cloud.google.com/service-health/docs/organization-events.md.txt) using the Service Health API.